import { Request } from "express"

export type QueryOptions = {
    skip?: number,
    take?: number,
    search?: string,
    sortKey?: string,
    sortOrder?: 'ASC' | 'DESC'
}

type TokenUser = {
    sub: number,
    username: string
}

export interface CustomAuthRequest extends Request {
    user: TokenUser
}