import { BaseEntity, Column, Entity, OneToMany, PrimaryGeneratedColumn } from 'typeorm'
import { Expense } from './Expense'

@Entity({ name: 'concepts' })
export class Concept extends BaseEntity {
    @PrimaryGeneratedColumn()
    id: number

    @Column({ type: 'varchar', length: 100, unique: true })
    name: string

    @OneToMany(() => Expense, (expense) => expense.concept)
    expenses: Expense[]
}