import "reflect-metadata"
import app from "./app"
import { dataSource } from "./bootstrap/dbBootstrap"

async function main() {
    try {
        await dataSource.initialize()
        app.listen(3000, () => {
            console.log('Run server!!')
        })
    } catch (error) {
        console.log(error)
    }
}

main()

