import boom from '@hapi/boom'
import { Unit } from '../../db/entities/Unit'

export const getUnits = async () => {
    const units = await Unit.find()
    return { units }
}

export const getUnit = async (id: number) => {
    const unit = await Unit.findOneBy({ id })

    if (!unit) {
        throw boom.notFound('Unidad de producto no existe')
    }

    return unit
}
