import { DataSource } from 'typeorm'
import { DB_CONFIG } from '@/helpers/parametersHandler'

export const dataSource = new DataSource({
    type: "postgres",
    entities: ['src/db/entities/*.ts'],
    subscribers: ['src/db/subscribers/*.ts'],
    migrations: ['src/db/migrations/*.ts'],
    ...DB_CONFIG
})