import { BaseEntity, Column, Entity, OneToMany, PrimaryGeneratedColumn } from 'typeorm'

@Entity({ name: 'configs' })
export class Config extends BaseEntity {
    @PrimaryGeneratedColumn()
    id: number

    @Column({ type: 'varchar' })
    name: string

    @Column({ type: 'integer' })
    boletaNumberCounter: number

    @Column({ type: 'integer' })
    facturaNumberCounter: number

    @Column({ type: 'integer' })
    ticketNumberCounter: number

    @Column({ type: 'integer' })
    boletaNumberLength: number

    @Column({ type: 'integer' })
    facturaNumberLength: number

    @Column({ type: 'integer' })
    ticketNumberLength: number
}